package com.example.vaadingridlayout;

import javax.servlet.annotation.WebServlet;

import com.vaadin.annotations.Theme;
import com.vaadin.annotations.VaadinServletConfiguration;
import com.vaadin.server.VaadinRequest;
import com.vaadin.server.VaadinServlet;
import com.vaadin.ui.GridLayout;
import com.vaadin.ui.Label;
import com.vaadin.ui.UI;

@SuppressWarnings("serial")
@Theme("vaadingridlayout")
public class VaadingridlayoutUI extends UI {

	@WebServlet(value = "/*", asyncSupported = true)
	@VaadinServletConfiguration(productionMode = false, ui = VaadingridlayoutUI.class)
	public static class Servlet extends VaadinServlet {
	}

	@Override
	protected void init(VaadinRequest request) {
		final GridLayout grid = new GridLayout(5,4);
		grid.setWidth("80%");
		grid.setHeight("80%");
		
		Label label00 = new Label("0,0");
		label00.setSizeFull();
		label00.addStyleName("blue");
		grid.addComponent(label00,0,0);
		
		Label label10 = new Label("1,0");
		label10.setSizeFull();
		label10.addStyleName("green");
		grid.addComponent(label10,1,0);
    
		Label label20 = new Label("2,0");
		label20.setSizeFull();
		label20.addStyleName("blue");
		grid.addComponent(label20,2,0);

		Label label30 = new Label("3,0");
		label30.setSizeFull();
		label30.addStyleName("green");
		grid.addComponent(label30,3,0);

		Label label40 = new Label("4,0");
		label40.setSizeFull();
		label40.addStyleName("blue");
		grid.addComponent(label40,4,0);

		Label label01 = new Label("0,1");
		label01.setSizeFull();
		label01.addStyleName("green");
		grid.addComponent(label01,0,1);

	    Label label11 = new Label("1,1");
	    label11.setSizeFull();
	    label11.addStyleName("blue");
	    grid.addComponent(label11,1,1);
	    
	    Label label02 = new Label("0,2");
	    label02.setSizeFull();
	    label02.addStyleName("blue");
	    grid.addComponent(label02,0,2);
	
	    Label label03 = new Label("0,3");
	    label03.setSizeFull();
	    label03.addStyleName("green");
	    grid.addComponent(label03,0,3);

	    Label label2X1 = new Label("2X1");
	    label2X1.setSizeFull();
	    label2X1.addStyleName("green");
	    grid.addComponent(label2X1, 1, 2, 2, 2);
	
	    Label label1X3 = new Label("1X3");
	    label1X3.setSizeFull();
	    label1X3.addStyleName("green");
	    grid.addComponent(label1X3, 4, 1, 4, 3);
		
	    setContent(grid);
	}
}